Topic
1 reply Latest Post - ‏2013-08-27T16:31:22Z by wainersm
ThinkOpenly
ThinkOpenly
40 Posts
ACCEPTED ANSWER

Pinned topic SDK: "Unable to start indexing service"

‏2013-08-27T01:38:21Z |

I'm running the SDK remotely from an x86_64 Linux system.  Often, I see a string of error popups which say:

--

Unable to start indexing service

Reason:
Remote Tools DStore Server: Invalid java version or java not installed on <server>

--

Java is indeed installed on the remote system:

$ java -version
java version "1.7.0"
Java(TM) SE Runtime Environment (build pxp6470sr4ifix-20130305_01(SR4+IV37419))
IBM J9 VM (build 2.6, JRE 1.7.0 Linux ppc64-64 Compressed References 20130205_137358 (JIT enabled, AOT enabled)
J9VM - R26_Java726_SR4_20130205_1656_B137358
JIT  - r11.b03_20130131_32403
GC   - R26_Java726_SR4_20130205_1656_B137358_CMPRSS
J9CL - 20130205_137358)
JCL - 20130303_01 based on Oracle 7u13-b08

  • wainersm
    wainersm
    8 Posts
    ACCEPTED ANSWER

    Re: SDK: "Unable to start indexing service"

    ‏2013-08-27T16:31:22Z  in response to ThinkOpenly

    Hi,

    You need to install the ibm-sdk-lop-server RPM on server-side because the SDK by default looks for IBM JVM provided within that package. The ibm-sdk-lop-server package will also ensure you will have installed mininum required packages (advance toolchain, perf..etc) for the SDK to work properly.